Callisto4Bootloader: Data Fields - Variables

Callisto4Bootloader

### - r -

- R : ADC_Type , c4_SRC_reg_t , c4_WDOG_reg_t::c4_WDOG_wicr , c4_WDOG_reg_t , CPUID_t , DCD_t , FlexSPI_Header_t , IVT_t
- RACC : ENET_Type
- RAEM : ENET_Type
- RAFL : ENET_Type
- RASR : ARM_MPU_Region_t
- RBAR : ARM_MPU_Region_t
- RCR : ENET_Type
- RCR1 : I2S_Type
- RCR2 : I2S_Type
- RCR3 : I2S_Type
- RCR4 : I2S_Type
- RCR5 : I2S_Type
- RCSR : I2S_Type
- RDAR : ENET_Type
- RDR : I2S_Type , LPSPI_Type
- RDSR : ENET_Type
- read : flexspi_nor_driver_interface_t
- READ_CTRL : OCOTP_Type
- READ_FUSE_DATA : OCOTP_Type
- readSampleClkSrc : _FlexSPIConfig , FlexSPI_Header_t
- recipTable : arm_lms_norm_instance_q15 , arm_lms_norm_instance_q31
- REG0 : DCDC_Type
- REG1 : DCDC_Type
- REG2 : DCDC_Type
- REG3 : DCDC_Type
- REG_1P1 : PMU_Type
- REG_1P1_CLR : PMU_Type
- REG_1P1_SET : PMU_Type
- REG_1P1_TOG : PMU_Type
- REG_2P5 : PMU_Type
- REG_2P5_CLR : PMU_Type
- REG_2P5_SET : PMU_Type
- REG_2P5_TOG : PMU_Type
- REG_3P0 : PMU_Type
- REG_3P0_CLR : PMU_Type
- REG_3P0_SET : PMU_Type
- REG_3P0_TOG : PMU_Type
- REG_CORE : PMU_Type
- REG_CORE_CLR : PMU_Type
- REG_CORE_SET : PMU_Type
- REG_CORE_TOG : PMU_Type
- REGION1_BOT : BEE_Type
- REGION1_TOP : BEE_Type
- reserve2 : _flexspi_nor_config
- reserved : _lut_sequence , FlexSPI_Header_t , run_bootloader_ctx_t , serialNOR_t
- reserved0 : _flexspi_nor_config , _FlexSPIConfig , bootloader_api_entry_t
- RESERVED0 : DWT_Type , FPU_Type , ITM_Type , NVIC_Type , SCB_Type , SCnSCB_Type , TPI_Type
- reserved1 : _FlexSPIConfig , bootloader_api_entry_t
- RESERVED1 : DWT_Type
- reserved1 : FlexSPI_Header_t
- RESERVED1 : ITM_Type
- reserved1 : IVT_t
- RESERVED1 : NVIC_Type , SCB_Type , TPI_Type
- RESERVED10 : DWT_Type
- RESERVED11 : DWT_Type
- RESERVED12 : DWT_Type
- RESERVED13 : DWT_Type
- RESERVED14 : DWT_Type
- RESERVED15 : DWT_Type
- RESERVED16 : DWT_Type
- RESERVED17 : DWT_Type
- RESERVED18 : DWT_Type
- RESERVED19 : DWT_Type
- reserved2 : _FlexSPIConfig , bootloader_api_entry_t
- RESERVED2 : DWT_Type
- reserved2 : FlexSPI_Header_t
- RESERVED2 : ITM_Type
- reserved2 : IVT_t
- RESERVED2 : NVIC_Type , TPI_Type
- RESERVED20 : DWT_Type
- RESERVED21 : DWT_Type
- RESERVED22 : DWT_Type
- RESERVED23 : DWT_Type
- RESERVED24 : DWT_Type
- RESERVED25 : DWT_Type
- RESERVED26 : DWT_Type
- RESERVED27 : DWT_Type
- RESERVED28 : DWT_Type
- RESERVED29 : DWT_Type
- reserved3 : _FlexSPIConfig
- RESERVED3 : DWT_Type
- reserved3 : FlexSPI_Header_t
- RESERVED3 : ITM_Type , NVIC_Type , SCB_Type , TPI_Type
- RESERVED30 : DWT_Type
- RESERVED31 : DWT_Type
- RESERVED32 : DWT_Type
- RESERVED33 : DWT_Type
- reserved4 : _FlexSPIConfig
- RESERVED4 : CoreDebug_Type , DWT_Type
- reserved4 : FlexSPI_Header_t
- RESERVED4 : ITM_Type , NVIC_Type , SCB_Type , TPI_Type
- RESERVED5 : DWT_Type
- reserved5 : FlexSPI_Header_t
- RESERVED5 : ITM_Type , NVIC_Type , SCB_Type , TPI_Type
- RESERVED6 : DWT_Type
- reserved6 : FlexSPI_Header_t
- RESERVED6 : ITM_Type , NVIC_Type , SCB_Type
- RESERVED7 : DWT_Type
- reserved7 : FlexSPI_Header_t
- RESERVED7 : SCB_Type , TPI_Type
- RESERVED8 : DWT_Type , SCB_Type
- RESERVED9 : DWT_Type
- RESERVED_0 : AIPSTZ_Type , c4_SRC_reg_t , CAN_Type , CCM_ANALOG_Type , CCM_Type , CSI_Type , CSU_Type , DCP_Type , DMA_Type , ENET_Type , FLEXIO_Type , FLEXRAM_Type , FLEXSPI_Type , GPC_Type , GPIO_Type , I2S_Type , IOMUXC_Type , LCDIF_Type , LPI2C_Type , LPSPI_Type , OCOTP_Type , PGC_Type , PIT_Type , PMU_Type , PWM_Type , PXP_Type , ROMC_Type , SEMC_Type , SNVS_Type , SPDIF_Type , SRC_Type , TEMPMON_Type , TMR_Type , TRNG_Type , TSC_Type , USB_ANALOG_Type , USB_Type , USBNC_Type , USBPHY_Type , USDHC_Type , XTALOSC24M_Type
- RESERVED_1 : CAN_Type , CCM_ANALOG_Type , CCM_Type , CSI_Type , CSU_Type , DCP_Type , DMA_Type , ENET_Type , FLEXIO_Type , FLEXSPI_Type , GPC_Type , I2S_Type , LCDIF_Type , LPI2C_Type , LPSPI_Type , OCOTP_Type , PGC_Type , PIT_Type , PWM_Type , PXP_Type , ROMC_Type , SEMC_Type , SNVS_Type , SPDIF_Type , TEMPMON_Type , TSC_Type , USB_ANALOG_Type , USB_Type , USBNC_Type , USBPHY_Type , USDHC_Type , XTALOSC24M_Type
- RESERVED_10 : DCP_Type , ENET_Type , FLEXIO_Type , LCDIF_Type , LPI2C_Type , OCOTP_Type , PXP_Type
- RESERVED_11 : DCP_Type , ENET_Type , FLEXIO_Type , LCDIF_Type , LPI2C_Type , OCOTP_Type , PXP_Type
- RESERVED_12 : DCP_Type , ENET_Type , FLEXIO_Type , LCDIF_Type , OCOTP_Type , PXP_Type
- RESERVED_13 : DCP_Type , ENET_Type , FLEXIO_Type , LCDIF_Type , OCOTP_Type , PXP_Type
- RESERVED_14 : DCP_Type , ENET_Type , FLEXIO_Type , LCDIF_Type , OCOTP_Type , PXP_Type
- RESERVED_15 : DCP_Type , ENET_Type , OCOTP_Type , PXP_Type
- RESERVED_16 : DCP_Type , ENET_Type , OCOTP_Type , PXP_Type
- RESERVED_17 : DCP_Type , ENET_Type , OCOTP_Type , PXP_Type
- RESERVED_18 : DCP_Type , OCOTP_Type , PXP_Type
- RESERVED_19 : DCP_Type , OCOTP_Type , PXP_Type
- RESERVED_2 : CAN_Type , CCM_ANALOG_Type , CCM_Type , CSU_Type , DCP_Type , DMA_Type , ENET_Type , FLEXIO_Type , FLEXSPI_Type , I2S_Type , LCDIF_Type , LPI2C_Type , LPSPI_Type , OCOTP_Type , PXP_Type , SEMC_Type , SNVS_Type , TSC_Type , USB_Type , USDHC_Type , XTALOSC24M_Type
- RESERVED_20 : DCP_Type , OCOTP_Type , PXP_Type
- RESERVED_21 : DCP_Type , OCOTP_Type , PXP_Type
- RESERVED_22 : DCP_Type , OCOTP_Type , PXP_Type
- RESERVED_23 : DCP_Type , OCOTP_Type , PXP_Type
- RESERVED_24 : OCOTP_Type , PXP_Type
- RESERVED_25 : OCOTP_Type , PXP_Type
- RESERVED_26 : OCOTP_Type , PXP_Type
- RESERVED_27 : OCOTP_Type
- RESERVED_28 : OCOTP_Type
- RESERVED_29 : OCOTP_Type
- RESERVED_3 : CAN_Type , CCM_ANALOG_Type , CCM_Type , DCP_Type , DMA_Type , ENET_Type , FLEXIO_Type , FLEXSPI_Type , I2S_Type , LCDIF_Type , LPI2C_Type , LPSPI_Type , OCOTP_Type , PXP_Type , SNVS_Type , TSC_Type , USB_Type
- RESERVED_30 : OCOTP_Type
- RESERVED_31 : OCOTP_Type
- RESERVED_32 : OCOTP_Type
- RESERVED_33 : OCOTP_Type
- RESERVED_34 : OCOTP_Type
- RESERVED_35 : OCOTP_Type
- RESERVED_36 : OCOTP_Type
- RESERVED_37 : OCOTP_Type
- RESERVED_38 : OCOTP_Type
- RESERVED_39 : OCOTP_Type
- RESERVED_4 : CAN_Type , CCM_ANALOG_Type , DCP_Type , DMA_Type , ENET_Type , FLEXIO_Type , FLEXSPI_Type , I2S_Type , LCDIF_Type , LPI2C_Type , LPSPI_Type , OCOTP_Type , PXP_Type , TSC_Type , USB_Type
- RESERVED_40 : OCOTP_Type
- RESERVED_41 : OCOTP_Type
- RESERVED_42 : OCOTP_Type
- RESERVED_43 : OCOTP_Type
- RESERVED_44 : OCOTP_Type
- RESERVED_45 : OCOTP_Type
- RESERVED_46 : OCOTP_Type
- RESERVED_47 : OCOTP_Type
- RESERVED_48 : OCOTP_Type
- RESERVED_49 : OCOTP_Type
- RESERVED_5 : CAN_Type , CCM_ANALOG_Type , DCP_Type , DMA_Type , ENET_Type , FLEXIO_Type , FLEXSPI_Type , LCDIF_Type , LPI2C_Type , OCOTP_Type , PXP_Type , TSC_Type , USB_Type
- RESERVED_50 : OCOTP_Type
- RESERVED_51 : OCOTP_Type
- RESERVED_52 : OCOTP_Type
- RESERVED_53 : OCOTP_Type
- RESERVED_54 : OCOTP_Type
- RESERVED_55 : OCOTP_Type
- RESERVED_56 : OCOTP_Type
- RESERVED_57 : OCOTP_Type
- RESERVED_58 : OCOTP_Type
- RESERVED_59 : OCOTP_Type
- RESERVED_6 : CAN_Type , CCM_ANALOG_Type , DCP_Type , DMA_Type , ENET_Type , FLEXIO_Type , FLEXSPI_Type , LCDIF_Type , LPI2C_Type , OCOTP_Type , PXP_Type , TSC_Type , USB_Type
- RESERVED_60 : OCOTP_Type
- RESERVED_61 : OCOTP_Type
- RESERVED_62 : OCOTP_Type
- RESERVED_63 : OCOTP_Type
- RESERVED_64 : OCOTP_Type
- RESERVED_65 : OCOTP_Type
- RESERVED_66 : OCOTP_Type
- RESERVED_67 : OCOTP_Type
- RESERVED_68 : OCOTP_Type
- RESERVED_69 : OCOTP_Type
- RESERVED_7 : CAN_Type , CCM_ANALOG_Type , DCP_Type , DMA_Type , ENET_Type , FLEXIO_Type , LCDIF_Type , LPI2C_Type , OCOTP_Type , PXP_Type , TSC_Type , USB_Type
- RESERVED_70 : OCOTP_Type
- RESERVED_71 : OCOTP_Type
- RESERVED_8 : CAN_Type , DCP_Type , ENET_Type , FLEXIO_Type , LCDIF_Type , LPI2C_Type , OCOTP_Type , PXP_Type , USB_Type
- RESERVED_9 : DCP_Type , ENET_Type , FLEXIO_Type , LCDIF_Type , LPI2C_Type , OCOTP_Type , PXP_Type , USB_Type
- restore_sequence : flash_run_context_t
- resvd : c4_WDOG_reg_t::c4_WDOG_wicr , c4_WDOG_reg_t
- REV : ENC_Type
- REVH : ENC_Type
- revision : CPUID_t
- RFDR : FLEXSPI_Type
- RFR : I2S_Type
- RLAR : ARM_MPU_Region_t
- RMON_R_BC_PKT : ENET_Type
- RMON_R_CRC_ALIGN : ENET_Type
- RMON_R_FRAG : ENET_Type
- RMON_R_JAB : ENET_Type
- RMON_R_MC_PKT : ENET_Type
- RMON_R_OCTETS : ENET_Type
- RMON_R_OVERSIZE : ENET_Type
- RMON_R_P1024TO2047 : ENET_Type
- RMON_R_P128TO255 : ENET_Type
- RMON_R_P256TO511 : ENET_Type
- RMON_R_P512TO1023 : ENET_Type
- RMON_R_P64 : ENET_Type
- RMON_R_P65TO127 : ENET_Type
- RMON_R_P_GTE2048 : ENET_Type
- RMON_R_PACKETS : ENET_Type
- RMON_R_RESVD_0 : ENET_Type
- RMON_R_UNDERSIZE : ENET_Type
- RMON_T_BC_PKT : ENET_Type
- RMON_T_COL : ENET_Type
- RMON_T_CRC_ALIGN : ENET_Type
- RMON_T_DROP : ENET_Type
- RMON_T_FRAG : ENET_Type
- RMON_T_JAB : ENET_Type
- RMON_T_MC_PKT : ENET_Type
- RMON_T_OCTETS : ENET_Type
- RMON_T_OVERSIZE : ENET_Type
- RMON_T_P1024TO2047 : ENET_Type
- RMON_T_P128TO255 : ENET_Type
- RMON_T_P256TO511 : ENET_Type
- RMON_T_P512TO1023 : ENET_Type
- RMON_T_P64 : ENET_Type
- RMON_T_P65TO127 : ENET_Type
- RMON_T_P_GTE2048 : ENET_Type
- RMON_T_PACKETS : ENET_Type
- RMON_T_UNDERSIZE : ENET_Type
- RMR : I2S_Type
- ROM_PATCH0 : OCOTP_Type
- ROM_PATCH1 : OCOTP_Type
- ROM_PATCH2 : OCOTP_Type
- ROM_PATCH3 : OCOTP_Type
- ROM_PATCH4 : OCOTP_Type
- ROM_PATCH5 : OCOTP_Type
- ROM_PATCH6 : OCOTP_Type
- ROM_PATCH7 : OCOTP_Type
- ROMPATCHA : ROMC_Type
- ROMPATCHCNTL : ROMC_Type
- ROMPATCHD : ROMC_Type
- ROMPATCHENH : ROMC_Type
- ROMPATCHENL : ROMC_Type
- ROMPATCHSR : ROMC_Type
- RSEM : ENET_Type
- RSERVED1 : NVIC_Type
- RSFL : ENET_Type
- RSR : LPSPI_Type
- rsvd1 : c4_SRC_reg_t , c4_WDOG_reg_t
- rsvd2 : c4_WDOG_reg_t
- rsvd_0 : c4_SRC_reg_t
- rsvd_1 : c4_SRC_reg_t
- rsvd_2 : c4_SRC_reg_t
- rsvd_3 : c4_SRC_reg_t
- rsvd_4 : c4_SRC_reg_t
- RTWDOG_ClearStatusFlags : rtwdog_driver_interface_t
- RTWDOG_Deinit : rtwdog_driver_interface_t
- RTWDOG_Disable : rtwdog_driver_interface_t
- RTWDOG_DisableInterrupts : rtwdog_driver_interface_t
- RTWDOG_Enable : rtwdog_driver_interface_t
- RTWDOG_EnableInterrupts : rtwdog_driver_interface_t
- RTWDOG_GetCounterValue : rtwdog_driver_interface_t
- RTWDOG_GetDefaultConfig : rtwdog_driver_interface_t
- RTWDOG_GetStatusFlags : rtwdog_driver_interface_t
- RTWDOG_Init : rtwdog_driver_interface_t
- RTWDOG_Refresh : rtwdog_driver_interface_t
- RTWDOG_SetTimeoutValue : rtwdog_driver_interface_t
- RTWDOG_SetWindowValue : rtwdog_driver_interface_t
- RTWDOG_Unlock : rtwdog_driver_interface_t
- rtwdogDriver : bootloader_api_entry_t
- runBootloader : bootloader_api_entry_t
- RX : USBPHY_Type
- RX14MASK : CAN_Type
- RX15MASK : CAN_Type
- RX_CLR : USBPHY_Type
- RX_SET : USBPHY_Type
- RX_TOG : USBPHY_Type
- rxBuffer : _FlexSpiXfer
- RXFGMASK : CAN_Type
- RXFIR : CAN_Type
- RXIC : ENET_Type
- RXIMR : CAN_Type
- RXMGMASK : CAN_Type
- rxSize : _FlexSpiXfer